textprop.h File Reference

## Data Structures

struct | MTextProperty
| Type of text properties. More...

## Macros

#define | MTEXTPROP_START(prop) (prop)->start
#define | MTEXTPROP_END(prop) (prop)->end
#define | MTEXTPROP_KEY(prop) (prop)->key
#define | MTEXTPROP_VAL(prop) (prop)->val

## Functions

struct MTextPlist * | mtext__copy_plist (struct MTextPlist *, int from, int to, MText *mt, int pos)
void | mtext__free_plist (MText *mt)
void | mtext__adjust_plist_for_delete (MText *, int, int)
void | mtext__adjust_plist_for_insert (MText *, int, int, struct MTextPlist *)
void | mtext__adjust_plist_for_change (MText *mt, int pos, int len1, int len2)
void | dump_textplist (struct MTextPlist *plist, int indent)

## Macro Definition Documentation

## MTEXTPROP_START

#define MTEXTPROP_START | ( |  | prop | ) | (prop)->start

## MTEXTPROP_END

#define MTEXTPROP_END | ( |  | prop | ) | (prop)->end

## MTEXTPROP_KEY

#define MTEXTPROP_KEY | ( |  | prop | ) | (prop)->key

## MTEXTPROP_VAL

#define MTEXTPROP_VAL | ( |  | prop | ) | (prop)->val

## Function Documentation

## mtext__copy_plist()

struct MTextPlist* mtext__copy_plist | ( | struct MTextPlist * | ,
|  | int | from,
|  | int | to,
|  | MText * | mt,
|  | int | pos
| ) |  |

## mtext__free_plist()

void mtext__free_plist | ( | MText * | mt | ) |

## mtext__adjust_plist_for_delete()

void mtext__adjust_plist_for_delete | ( | MText * | ,
|  | int | ,
|  | int |
| ) |  |

## mtext__adjust_plist_for_insert()

void mtext__adjust_plist_for_insert | ( | MText * | ,
|  | int | ,
|  | int | ,
|  | struct MTextPlist * |
| ) |  |

## mtext__adjust_plist_for_change()

void mtext__adjust_plist_for_change | ( | MText * | mt,
|  | int | pos,
|  | int | len1,
|  | int | len2
| ) |  |

## dump_textplist()

void dump_textplist | ( | struct MTextPlist * | plist,
|  | int | indent
| ) |  |